Skip to main content
GET
/
api
/
v1
/
teams
List Teams
curl --request GET \
  --url https://control-plane.kubiya.ai/api/v1/teams \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://control-plane.kubiya.ai/api/v1/teams"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://control-plane.kubiya.ai/api/v1/teams', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


[
  {
    "id": "<string>",
    "organization_id": "<string>",
    "name": "<string>",
    "description": "<string>",
    "configuration": {
      "member_ids": [
        "<string>"
      ],
      "instructions": "",
      "reasoning": {
        "enabled": false,
        "model": "<string>",
        "agent_id": "<string>",
        "min_steps": 1,
        "max_steps": 10
      },
      "llm": {
        "model": "<string>",
        "temperature": 1,
        "max_tokens": 2,
        "top_p": 0.5,
        "top_k": 1,
        "stop": [
          "<string>"
        ],
        "frequency_penalty": 0,
        "presence_penalty": 0
      },
      "tools": [
        {}
      ],
      "knowledge_base": {},
      "session": {
        "user_id": "<string>",
        "session_id": "<string>",
        "auto_save": true,
        "persist": true
      },
      "dependencies": {},
      "markdown": true,
      "add_datetime_to_instructions": false,
      "structured_outputs": false,
      "response_model": "<string>",
      "debug_mode": false,
      "monitoring": false,
      "metadata": {}
    },
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "agents": [
      {}
    ],
    "runtime": "default",
    "projects": [
      {}
    ],
    "skill_ids": [
      "<string>"
    ],
    "skills": [
      {}
    ],
    "execution_environment": {
      "working_dir": "<string>",
      "env_vars": {},
      "secrets": [
        "<string>"
      ],
      "integration_ids": [
        "<string>"
      ],
      "mcp_servers": {}
    }
  }
]
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Enter your Kubiya API token (format: Bearer )

Query Parameters

skip
integer
default:0
limit
integer
default:100
status_filter
enum<string> | null

Team status enumeration

Available options:
active,
inactive,
archived,
idle

Response

Successful Response

id
string
required
organization_id
string
required
name
string
required
description
string | null
required
status
enum<string>
required

Team status enumeration

Available options:
active,
inactive,
archived,
idle
configuration
TeamConfiguration · object
required

Comprehensive team configuration aligned with Agno's Team capabilities. This allows full control over team behavior, reasoning, tools, and LLM settings.

created_at
string<date-time>
required
updated_at
string<date-time>
required
agents
Agents · object[]
required
runtime
string
default:default

Runtime type for team leader: 'default' (Agno) or 'claude_code' (Claude Code SDK)

projects
Projects · object[]

Projects this team belongs to

skill_ids
string[] | null

IDs of associated skills

skills
Skills · object[] | null

Associated skills with details

execution_environment
ExecutionEnvironment · object | null

Execution environment configuration for agents/teams